Skip to content

メッセージ一覧を取得

GET
/messages

Authorizations

bearerAuth

テナントに発行された個人アクセストークン(Laravel Sanctum)を
Authorization: Bearer {token} ヘッダーで送信してください。

Type
HTTP (bearer)

Parameters

Query Parameters

page

ページ番号(1始まり)

Type
integer
Minimum
1
Default
1
perPage

1ページあたりの件数

Type
integer
Minimum
1
Maximum
100
Default
20
campaignId
Type
string
method
Type
string
Valid values
"EMAIL""SMS""LINE"
status
Type
string
Valid values
"DRAFT""SCHEDULED""SENDING""SENT""ERROR"

Responses

メッセージ一覧

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"id": "string",
  
  
  
"tenantId": "string",
  
  
  
"campaignId": "string",
  
  
  
"method": "string",
  
  
  
"type": "string",
  
  
  
"status": "string",
  
  
  
"subject": "string",
  
  
  
"bodyText": "string",
  
  
  
"bodyHtml": "string",
  
  
  
"senderId": "string",
  
  
  
"domainId": "string",
  
  
  
"lineChannelId": "string",
  
  
  
"sendTiming": "string",
  
  
  
"sendsAt": "string",
  
  
  
"urlTrackingEnabled": true,
  
  
  
"isPromotional": true,
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string",
  
  
  
"deletedAt": "string"
  
  
}
  
],
  
"meta": {
  
  
"currentPage": 1,
  
  
"perPage": 20,
  
  
"lastPage": 5,
  
  
"total": 96
  
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Maline テナント向けヘルプ